libsigc++ 2.2.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
sigc::slot_list< T_slot > Struct Template Reference
Signals

STL-style list interface for sigc::signal#. More...

`#include <sigc++/signal.h>`

List of all members.

## Public Types

typedef T_slot | slot_type
typedef slot_type & | reference
typedef const slot_type & | const_reference
typedef slot_iterator< slot_type > | iterator
typedef slot_const_iterator < slot_type > | const_iterator
typedef std::reverse_iterator < iterator > | reverse_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator

## Public Member Functions

| slot_list (internal::signal_impl *__list)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
reference | front ()
const_reference | front () const
reference | back ()
const_reference | back () const
iterator | insert (iterator i, const slot_type& slot_)
void | push_front (const slot_type &c)
void | push_back (const slot_type &c)
iterator | erase (iterator i)
iterator | erase (iterator first_, iterator last_)
void | pop_front ()
void | pop_back ()

## Protected Attributes

internal::signal_impl * | list_

## Detailed Description

### template<class T_slot>
struct sigc::slot_list< T_slot >

STL-style list interface for sigc::signal#.

slot_list can be used to iterate over the list of slots that is managed by a signal. Slots can be added or removed from the list while existing iterators stay valid. A slot_list object can be retrieved from the signal's slots() function.